have_v4l=no

case "$host" in
  *-*-linux*) qvv4l_compile=yes
	AC_CHECK_HEADER(linux/videodev.h,
			AC_DEFINE(HAVE_V4L, 1, [If we have video4linux])
			have_v4l=yes
			,,)
	if test "$have_v4l" = "no"; then
		qvv4l_compile=no
	fi
  ;;
  *) qvv4l_compile=no;;
esac

AC_MSG_CHECKING(if qtvision v4l plugin should be compiled)
AC_MSG_RESULT($qvv4l_compile)

if test "$qvv4l_compile" = "yes"; then
  QVVIDEO_PLUGINS="$QVVIDEO_PLUGINS v4l"
  AC_DEFINE(HAVE_V4L, 1, [If we have video4linux])
fi

AC_SUBST(QVVIDEO_PLUGINS)

